EvaluationListener (EL 6.0 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.el, class: EvaluationListener

# Class EvaluationListener

java.lang.Object
jakarta.el.EvaluationListener

public abstract class EvaluationListener extends Object
Listener interface for monitoring EL expression evaluation events. Implementations can track when expressions are evaluated and when properties are resolved during evaluation. Register an instance with an `ELContext` using `ELContext.addEvaluationListener(EvaluationListener)`.

Since:
  EL 3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvaluationListener()`
  Constructs an EvaluationListener.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterEvaluation(ELContext context, String expression)`
  Fired after the evaluation of the expression.
  `void`
  `beforeEvaluation(ELContext context, String expression)`
  Fired before the evaluation of the expression.
  `void`
  `propertyResolved(ELContext context, Object base, Object property)`
  Fired after a property has been resolved.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EvaluationListener

    public EvaluationListener()
    Constructs an EvaluationListener.

- ## Method Details

  - ### beforeEvaluation

    public void beforeEvaluation(ELContext context, String expression)
    Fired before the evaluation of the expression.
    Parameters:
      `context` - The EL context in which the expression will be evaluated
      `expression` - The expression that will be evaluated

  - ### afterEvaluation

    public void afterEvaluation(ELContext context, String expression)
    Fired after the evaluation of the expression.
    Parameters:
      `context` - The EL context in which the expression was evaluated
      `expression` - The expression that was evaluated

  - ### propertyResolved

    public void propertyResolved(ELContext context, Object base, Object property)
    Fired after a property has been resolved.
    Parameters:
      `context` - The EL context in which the property was resolved
      `base` - The base object on which the property was resolved
      `property` - The property that was resolved